## List live inputs `client.stream.liveInputs.list(LiveInputListParamsparams, RequestOptionsoptions?): LiveInputListResponse` **get** `/accounts/{account_id}/stream/live_inputs` Lists the live inputs created for an account. To get the credentials needed to stream to a specific live input, request a single live input. ### Parameters - `params: LiveInputListParams` - `account_id: string` Path param: Identifier. - `include_counts?: boolean` Query param: Includes the total number of videos associated with the submitted query parameters. ### Returns - `LiveInputListResponse` - `liveInputs?: Array` - `created?: string` The date and time the live input was created. - `deleteRecordingAfterDays?: number` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `enabled?: boolean` Indicates whether the live input is enabled and can accept streams. - `meta?: unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `modified?: string` The date and time the live input was last modified. - `uid?: string` A unique identifier for a live input. - `range?: number` The total number of remaining live inputs based on cursor position. - `total?: number` The total number of live inputs that match the provided filters. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const liveInputs = await client.stream.liveInputs.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(liveInputs.liveInputs); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "liveInputs": [ { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "uid": "66be4bf738797e01e1fca35a7bdecdcd" } ], "range": 1000, "total": 35586 } } ```